[squeak-dev] MC bugs in 3.10

Damien Cassou damien.cassou at gmail.com
Tue Mar 25 12:11:52 UTC 2008

You may want to try with MC1.5 http://www.squeaksource.com/mc.html

On Fri, Mar 21, 2008 at 10:01 PM, Michael van der Gulik
<mikevdg at gmail.com> wrote:
> Hi all.
>  I'm trying to release a package that will load into 3.10. However, it won't work because:
>  - I've changed instance variables PluggableTreeSpec in the ToolBuilder-Kernel package available from the Universes browser. The MC that is packaged with 3.10 does not properly recompile the code, so bytecodes in methods are now referring to the wrong instance variables.
>  - So I try adding a postscript to the package to recompile that class. In the Monticello UI, I click on Scripts -> edit postscript, and I get a DNU.
>  Are these known bugs?
>  Gulik.
>  --
>  Michael van der Gulik <mikevdg at gmail.com>

Damien Cassou
Peter von der Ahé: «I'm beginning to see why Gilad wished us good
luck». (http://blogs.sun.com/ahe/entry/override_snafu)

More information about the Squeak-dev mailing list